Prompt templates
Prompt templates, their versions and renders, the prompt bases and the library.
| Operation | Summary | Scope | Released in | Phase 0 host |
|---|---|---|---|---|
GET /v1/prompt-bases | List the platform bases | prompts:read | 1.55.0 | served |
GET /v1/prompt-bases/{version} | Read a platform base | prompts:read | 1.55.0 | served |
GET /v1/prompt-library | List the template library | prompts:read | 1.55.0 | served |
GET /v1/prompt-library/{slug} | Read a library template | prompts:read | 1.55.0 | served |
GET /v1/prompt-templates | List Prompt templates | prompts:read | 1.55.0 | served |
POST /v1/prompt-templates | Create a Prompt template | prompts:write | 1.55.0 | served |
GET /v1/prompt-templates/{prompt_template_id} | Read a Prompt template | prompts:read | 1.55.0 | served |
PATCH /v1/prompt-templates/{prompt_template_id} | Update the Prompt template draft | prompts:write | 1.55.0 | served |
DELETE /v1/prompt-templates/{prompt_template_id} | Archive a Prompt template | prompts:write | 1.55.0 | served |
GET /v1/prompt-templates/{prompt_template_id}/diff | Compare two versions of a Prompt template, or a version and the draft | prompts:read | 1.55.0 | served |
GET /v1/prompt-templates/{prompt_template_id}/pins | List the Agent versions that use a Prompt template | prompts:read | 1.58.0 | served |
POST /v1/prompt-templates/{prompt_template_id}/render | Dry-run render a Prompt template | prompts:read | 1.55.0 | served |
GET /v1/prompt-templates/{prompt_template_id}/versions | List a Prompt template's versions | prompts:read | 1.55.0 | served |
POST /v1/prompt-templates/{prompt_template_id}/versions | Publish the Prompt template draft as a new version | prompts:write | 1.55.0 | served |
GET /v1/prompt-templates/{prompt_template_id}/versions/{version} | Read a Prompt template version | prompts:read | 1.55.0 | served |
POST /v1/prompt-templates/{prompt_template_id}/versions/{version}/activate | Activate a Prompt template version | prompts:write | 1.55.0 | served |